﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
' Send an email by ThRuST
' v0.4

#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip

Sub Class_Globals
	
	Private Root As B4XView
	Private xui As XUI
	Private Email As SMTP
	Public HtmlMessage As String
	
End Sub

Public Sub Initialize
'	B4XPages.GetManager.LogEvents = True
End Sub

'This event will be called once, before the page becomes visible.
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	Dim SendTo As String = "email@someone.com"
	
	' HTML Formatted message example
	HtmlMessage = "Hi! <b>This is a test email.</b>" & CRLF & _
	"<br>This is <b>line two</b>." & CRLF & _
	"<p style=" & Chr(34) & "color:red; font-size:30px;" & Chr(34) & ">Line three is red</p>" & _
	"<p style=" & Chr(34) & "color:blue; text-decoration: underline; font-style: italic;" & Chr(34) & ">Line four is <b>blue</b></p>" & _
	"<a p style=" & Chr(34) & "color:green; font-weight: bold;" & Chr(34) & "href=" & Chr(34) & "https://www.b4x.com/android/forum/" & Chr(34) & ">Welcome To visit the B4X forum!</b></a>" & _
	"<p style=" & Chr(34) & "color:gray; font-size:22px; text-shadow: 0 0 3vw #F40A35; font-weight: bold; font-size:48px; font-family:vivaldi;" & Chr(34) & ">/ThRuST</p>"

' ############################################################
' Email type (HTML formatted or plain text)	
' ############################################################
	' Send email as HTML formatting
	'SendMail("Testmail", HtmlMessage, SendTo)
	
	' Send email as plain text
	SendMail("Testmail", "Hi! This is a standard message" & CRLF & "I hope this gets through!" & CRLF & "/ThRuST", SendTo)
' ############################################################
	
End Sub

'You can see the list of page related events in the B4XPagesManager object. The event name is B4XPage.

Private Sub Button1_Click
	'xui.MsgboxAsync("Hello world!", "B4X")
End Sub

Public Sub SendMail(Subject As String, Body As String, MailTo As String)
    
	Dim Password 	As String = "yourpassword"
	Dim Port 		As String = "587"
	Dim SMTP 		As String = "SMTP"
	
	Dim su As StringUtils
	
	' Gmail
	Email.Initialize("smtp.gmail.com", 		Port ,"email@mail.com" , Password, SMTP)
	' One
	'Email.Initialize("send.one.com", 			Port ,"email@mail.com" , Password, SMTP)
	' Yahoo
	'Email.Initialize("SMTP.mail.yahoo.com", 	Port ,"email@mail.com" , Password, SMTP)
	' Office365
	'Email.Initialize("smtp.office365.com", 	Port ,"email@mail.com" , Password, SMTP)
	' Hotmail
	'Email.Initialize("smtp-mail.outlook.com", 	Port ,"email@mail.com" , Password, SMTP)
	
	Email.Subject = Subject
	
	' ###################################################
	' ###   Enable this to send plain text messages   ###
	' ###################################################
	
		Email.HtmlBody = False
		Email.Body = Body
	
	' ###################################################
	' ### Enable this to send HTML formatted messages ###
	' ###################################################
	
		'Email.HtmlBody = True
		'Email.Body = su.EncodeBase64(HtmlMessage.GetBytes("utf8")) 'html = the html body
		'Email.AdditionalHeaders.Put("Content-Transfer-Encoding", "BASE64")
	
	Email.To.Add(MailTo)
	Email.StartTLSMode = True
	Email.Send
	Wait For SMTP_MessageSent(Success As Boolean)
	
	Log(Success)
	
	If Success Then
		Log("Email Successfully Sent")
	Else
		Log("Email could not be sent:")
		Log(LastException.Message)
	End If
    
End Sub
